Addon Profiles
==============

An Elder Scrolls Online addon that allows you to create profiles (saving enabled/disabled state of other addons) and easily switch between them.

## What is the purpose of this addon?

Two controls are added to the Add-Ons in-game menu: a profile selection drop-down list and a profile menu button. From the profile menu you can create a new profile, or delete an existing one. Profile selection is tied to the currently logged character (you can use any profile for multiple characters, of course). When you select a profile from the drop-down list, add-ons will be enabled/disabled according to their state when that profile was last saved, and you will need to reload UI afterwards. Whenever you enable or disable an add-on, the new setting will be saved to the currently selected profile, and also copied to all characters using that profile.

By using account-wide SavedVariables, your addon profiles will be the same across all characters. So, you might setup profiles combat/questing, and profiles for crafting, and profiles for addons that you're just trying out. You can then easily switch to a new addon profile while in game, without having to remember which specific mods should be turned on or off.
 
Note: If you modify enabled add-ons from the character selection screen, Addon Profiles won't see those changes until you log the affected characters, and might synchronize settings in a way you wouldn't expect. However, you should be able to fix all settings from the in-game menu.

Although not exactly user-friendly, colored profile names may be crafted using special markup. A colored name must consist of "|c", a hexadecimal color code, the actual name, and "|r". Say I want to create a profile named Skyshards, written in blue. I'll pick a fine shade of blue (at http://www.colorpicker.com/ for example), and enter this magical name: |c2D5BC4Skyshards|r

You can also assign up to 8 keybindings to different profiles (there's Addon Profiles section under the Controls in-game menu). Pressing a bound key will select the assigned profile and immmediately reload UI.

## Language Support

Translations coming soon... hopefully ;)

## Disclaimer

This Add-on is not created by, affiliated with or sponsored by ZeniMax
Media Inc. or its affiliates. The Elder Scrolls® and related logos are
registered trademarks or trademarks of ZeniMax Media Inc. in the United
States and/or other countries. All rights reserved.
